import { OnInit } from '@angular/core';
import { AnnotationStoreService } from './annotation-store.service';
import { Comment } from '../comments/comment';
import { NgForm } from '@angular/forms';
import { Router, ActivatedRoute } from '@angular/router';
export declare class AnnotationService implements OnInit {
    private annotationStoreService;
    private router;
    private route;
    PAGE_HEIGHT: any;
    UI: any;
    comments: any;
    private RENDER_OPTIONS;
    pdfPages: number;
    constructor(annotationStoreService: AnnotationStoreService, router: Router, route: ActivatedRoute);
    ngOnInit(): void;
    setRenderOptions(RENDER_OPTIONS: {
        documentId: string;
        pdfDocument: null;
        scale: number;
        rotate: number;
    }): any;
    render(): void;
    renderPage(visiblePageNum: number): void;
    addComment(comment: Comment, callback: any): void;
    getComments(annotationId: string, callback: any): void;
    getAnnotations(pageNumber: number, callback: any): void;
    deleteComment(commentId: string, callback: any): void;
    readComments(annotationId: any, callback: any): void;
    editComment(comment: Comment, callback: any): void;
    convertFormToComment(commentForm: NgForm): Comment;
    setHighlightTool(): void;
    setCursorTool(): void;
    clearAnnotations(): void;
    setScale(scale: any): void;
}
